The final task in a typical batch lifecycle is to get the batch details of the batch you just processed. The response to this GET batch call includes the batch resource links to download the batch labels and forms as well as check that batch status and the review any errors that may have occurred.
If you are new to batches in ShipStation API, be sure to read the Label Batches overview first.
- The
batch_idfor the batch you wish to get.
GET /v1/batches/:batch_id
GET /v1/batches/se-1013790 HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__Response
{
"label_layout": null,
"label_format": null,
"batch_id": "se-1013790",
"external_batch_id": "1daa0c22-0519-46d0-8653-9f3dc62e7d2c",
"batch_notes": "2019-7-25 Morning Shipments",
"created_at": "2019-07-25T15:24:46.657Z",
"errors": 0,
"warnings": 0,
"completed": 0,
"forms": 0,
"count": 1,
"batch_shipments_url": {
"href": "https://api.shipengine.com/v1/shipments?batch_id=se-1013790"
},
"batch_labels_url": {
"href": "https://api.shipengine.com/v1/labels?batch_id=se-1013790"
},
"batch_errors_url": {
"href": "https://api.shipengine.com/v1/batches/se-1013790/errors"
},
"label_download": {
"href": "https://api.shipengine.com/v1/downloads/1/uths7PctKUqbM4OfmgzXLg/label-1013790.pdf"
},
"form_download": {
"href": "https://api.shipengine.com/v1/downloads/1/xKVZeKA650-bvQB_oriYkQ/form-1013790.pdf"
},
"status": "open"
}